#
# Design sources
#

echo "Compiling Design Packages"
vcom  -work work -2008 "../../../../SigFPGA/M376/sources/model_specific_package.vhd"
vcom  -work work -2008 "../../../../SigFPGA/M376/sources/tb_package.vhd"
vcom  -work work -2008 "../../../../vhdl_models/dma_package.vhd"                        
vcom  -work work -2008 "../../../../vhdl_models/transceiver_package.vhd"
vlog  -work work ../../../../xilinx_libraries/glbl.v

echo "Compiling QDR SRAM Cores"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_of_pre_fifo.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_if_post_fifo.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_byte_group_io.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_of_pre_fifo.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_if_post_fifo.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_byte_group_io.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_byte_lane.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_byte_lane.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_read_vld_gen.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_read_stage2_cal.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_read_data_align.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_rdlvl.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_cntrl_init.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_4lanes.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_write_init_sm.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_write_data_io.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_write_control_io.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_read_vld_gen.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_read_stage2_cal.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_read_data_align.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_rdlvl.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_cntrl_init.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_4lanes.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_write_init_sm.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_write_data_io.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_write_control_io.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_read_top.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_mc_phy.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_write_top.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_byte_lane_map.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_read_top.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_mc_phy.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_write_top.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_byte_lane_map.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_top.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_top.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_iodelay_ctrl.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_infrastructure.v"
vlog  -incr  -work work  "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_clk_ibuf.v"
vcom  -work work -2008 "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/qdr_sram_a.vhd"
vcom  -work work -2008 "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/qdr_sram_b.vhd"
vcom  -work work -2008 "../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/dual_qdr_sram.vhd"

echo "Compiling Xilinx IP Cores"
vcom  -work fifo_generator_v11_0 -2008 "../../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64/fifo_generator_v11_0/simulation/fifo_generator_v11_0.vhd"
vcom  -work xbip_utils_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_utils_v3_0/hdl/xbip_utils_v3_0_pkg.vhd"
vcom  -work xbip_utils_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_utils_v3_0/hdl/xcc_utils_v3_0.vhd"
vcom  -work c_reg_fd_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_reg_fd_v12_0/hdl/c_reg_fd_v12_0_comp.vhd"
vcom  -work c_reg_fd_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_reg_fd_v12_0/hdl/c_reg_fd_v12_0_viv_comp.vhd"
vcom  -work c_reg_fd_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_reg_fd_v12_0/hdl/c_reg_fd_v12_0_viv.vhd"
vcom  -work c_reg_fd_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_reg_fd_v12_0/hdl/c_reg_fd_v12_0.vhd"
vcom  -work xbip_dsp48_wrapper_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_dsp48_wrapper_v3_0/hdl/xbip_dsp48_wrapper_v3_0_pkg.vhd"
vcom  -work xbip_dsp48_wrapper_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_dsp48_wrapper_v3_0/hdl/xbip_dsp48a_wrapper_v3_0.vhd"
vcom  -work xbip_dsp48_wrapper_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_dsp48_wrapper_v3_0/hdl/xbip_dsp48a1_wrapper_v3_0.vhd"
vcom  -work xbip_dsp48_wrapper_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_dsp48_wrapper_v3_0/hdl/xbip_dsp48e_wrapper_v3_0.vhd"
vcom  -work xbip_dsp48_wrapper_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_dsp48_wrapper_v3_0/hdl/xbip_dsp48e1_wrapper_v3_0.vhd"
vcom  -work xbip_dsp48_wrapper_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_dsp48_wrapper_v3_0/hdl/xbip_dsp48e2_wrapper_v3_0.vhd"
vcom  -work xbip_dsp48_wrapper_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_dsp48_wrapper_v3_0/hdl/xbip_dsp48_wrapper_v3_0.vhd"
vcom  -work xbip_pipe_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_pipe_v3_0/hdl/xbip_pipe_v3_0_viv_comp.vhd"
vcom  -work xbip_pipe_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_pipe_v3_0/hdl/xbip_pipe_v3_0_comp.vhd"
vcom  -work xbip_pipe_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_pipe_v3_0/hdl/xbip_pipe_v3_0_viv.vhd"
vcom  -work xbip_pipe_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_pipe_v3_0/hdl/xbip_pipe_v3_0.vhd"
vcom  -work xbip_dsp48_addsub_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_dsp48_addsub_v3_0/hdl/xbip_dsp48_addsub_v3_0_viv_comp.vhd"
vcom  -work xbip_dsp48_addsub_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_dsp48_addsub_v3_0/hdl/xbip_dsp48_addsub_v3_0_comp.vhd"
vcom  -work xbip_dsp48_addsub_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_dsp48_addsub_v3_0/hdl/xbip_dsp48_addsub_v3_0_pkg.vhd"
vcom  -work xbip_dsp48_addsub_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_dsp48_addsub_v3_0/hdl/xbip_dsp48_addsub_rtl.vhd"
vcom  -work xbip_dsp48_addsub_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_dsp48_addsub_v3_0/hdl/xbip_dsp48_addsub_synth.vhd"
vcom  -work xbip_dsp48_addsub_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_dsp48_addsub_v3_0/hdl/xbip_dsp48_addsub_v3_0_viv.vhd"
vcom  -work xbip_dsp48_addsub_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_dsp48_addsub_v3_0/hdl/xbip_dsp48_addsub_v3_0.vhd"
vcom  -work xbip_addsub_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_addsub_v3_0/hdl/xbip_addsub_v3_0_comp.vhd"
vcom  -work xbip_addsub_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_addsub_v3_0/hdl/xbip_addsub_v3_0_viv_comp.vhd"
vcom  -work xbip_addsub_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_addsub_v3_0/hdl/xbip_addsub_v3_0_viv.vhd"
vcom  -work xbip_addsub_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_addsub_v3_0/hdl/xbip_addsub_v3_0.vhd"
vcom  -work c_addsub_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_addsub_v12_0/hdl/c_addsub_v12_0_comp.vhd"
vcom  -work c_addsub_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_addsub_v12_0/hdl/c_addsub_v12_0_viv_comp.vhd"
vcom  -work c_addsub_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_addsub_v12_0/hdl/c_addsub_v12_0_pkg.vhd"
vcom  -work c_addsub_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_addsub_v12_0/hdl/c_addsub_v12_0_pkg_legacy.vhd"
vcom  -work c_addsub_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_addsub_v12_0/hdl/c_addsub_v12_0_lut6_legacy.vhd"
vcom  -work c_addsub_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_addsub_v12_0/hdl/c_addsub_v12_0_base_legacy.vhd"
vcom  -work c_addsub_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_addsub_v12_0/hdl/c_addsub_v12_0_fabric_legacy.vhd"
vcom  -work c_addsub_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_addsub_v12_0/hdl/c_addsub_v12_0_legacy.vhd"
vcom  -work c_addsub_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_addsub_v12_0/hdl/c_addsub_v12_0_viv.vhd"
vcom  -work c_addsub_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_addsub_v12_0/hdl/c_addsub_v12_0.vhd"
vcom  -work c_gate_bit_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_gate_bit_v12_0/hdl/c_gate_bit_v12_0_comp.vhd"
vcom  -work c_gate_bit_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_gate_bit_v12_0/hdl/c_gate_bit_v12_0_viv_comp.vhd"
vcom  -work c_gate_bit_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_gate_bit_v12_0/hdl/pkg_gate_bit_v12_0.vhd"
vcom  -work c_gate_bit_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_gate_bit_v12_0/hdl/c_gate_bit_tile.vhd"
vcom  -work c_gate_bit_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_gate_bit_v12_0/hdl/c_gate_bit_tier.vhd"
vcom  -work c_gate_bit_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_gate_bit_v12_0/hdl/c_gate_bit_v12_0_viv.vhd"
vcom  -work c_gate_bit_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_gate_bit_v12_0/hdl/c_gate_bit_v12_0.vhd"
vcom  -work xbip_counter_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_counter_v3_0/hdl/xbip_counter_v3_0_viv_comp.vhd"
vcom  -work xbip_counter_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_counter_v3_0/hdl/xbip_counter_v3_0_comp.vhd"
vcom  -work xbip_counter_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_counter_v3_0/hdl/xbip_counter_v3_0_pkg.vhd"
vcom  -work xbip_counter_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_counter_v3_0/hdl/xbip_counter_v3_0_hdl_comps.vhd"
vcom  -work xbip_counter_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_counter_v3_0/hdl/dsp48_counter.vhd"
vcom  -work xbip_counter_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_counter_v3_0/hdl/fabric_counter.vhd"
vcom  -work xbip_counter_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_counter_v3_0/hdl/xbip_counter_v3_0_viv.vhd"
vcom  -work xbip_counter_v3_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/xbip_counter_v3_0/hdl/xbip_counter_v3_0.vhd"
vcom  -work c_counter_binary_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_counter_binary_v12_0/hdl/c_counter_binary_v12_0_viv_comp.vhd"
vcom  -work c_counter_binary_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_counter_binary_v12_0/hdl/c_counter_binary_v12_0_comp.vhd"
vcom  -work c_counter_binary_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_counter_binary_v12_0/hdl/c_counter_binary_v12_0_legacy.vhd"
vcom  -work c_counter_binary_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_counter_binary_v12_0/hdl/c_counter_binary_v12_0_pkg.vhd"
vcom  -work c_counter_binary_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_counter_binary_v12_0/hdl/c_counter_binary_v12_0_viv.vhd"
vcom  -work c_counter_binary_v12_0 -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/c_counter_binary_v12_0/hdl/c_counter_binary_v12_0.vhd"
vcom  -work blk_mem_gen_v8_1 -2008 "../../../../SigFPGA/ip_sources/vivado/dma_on_demand_memory/blk_mem_gen_v8_1/simulation/blk_mem_gen_v8_1.vhd"
vcom  -work work -2008 "../../../../SigFPGA/ip_sources/vivado/counter_32/sim/counter_32.vhd"
vcom  -work work -2008 "../../../../SigFPGA/ip_sources/vivado/dma_on_demand_memory/sim/dma_on_demand_memory.vhd"
vcom  -work work -2008 "../../../../SigFPGA/ip_sources/vivado/fifo_channel_1kx64/sim/fifo_channel_1kx64.vhd"
vcom  -work work -2008 "../../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64/sim/fifo_dma_1kx64.vhd"

echo "Compiling SigFPGA VHDL files"
vcom  -work work -2008 "../../../../vhdl_models/clock_crossing.vhd"
vcom  -work work -2008 "../../../../vhdl_models/bar2_channel.vhd"
vcom  -work work -2008 "../../../../vhdl_models/bar2_common.vhd"
vcom  -work work -2008 "../../../../vhdl_models/bar2_decoder.vhd"
vcom  -work work -2008 "../../../../vhdl_models/bar0_decoder.vhd"
vcom  -work work -2008 "../../../../vhdl_models/clock_init.vhd"
vcom  -work work -2008 "../../../../vhdl_models/clock_lock.vhd"
vcom  -work work -2008 "../../../../vhdl_models/clock_route.vhd"
vcom  -work work -2008 "../../../../vhdl_models/dac_interface.vhd"
vcom  -work work -2008 "../../../../vhdl_models/dma_on_demand.vhd"       
vcom  -work work -2008 "../../../../vhdl_models/interrupt_timer.vhd"            
vcom  -work work -2008 "../../../../vhdl_models/serial_bus.vhd"
vcom  -work work -2008 "../../../../vhdl_models/synchronizer.vhd"
vcom  -work work -2008 "../../../../vhdl_models/adc_interface.vhd"
vcom  -work work -2008 "../../../../vhdl_models/rx_flow_control.vhd"
vcom  -work work -2008 "../../../../vhdl_models/tx_flow_control.vhd"
vcom  -work work -2008 "../../../../vhdl_models/dma_write_fifo.vhd"
vcom  -work work -2008 "../../../../vhdl_models/dma_read_fifo.vhd"
vcom  -work work -2008 "../../../../vhdl_models/tx_datapath.vhd"
vcom  -work work -2008 "../../../../vhdl_models/rx_datapath.vhd"
vcom  -work work -2008 "../../../../vhdl_models/qdr_sram.vhd"
vcom  -work work -2008 "../../../../vhdl_models/interrupt_controller.vhd"
vcom  -work work -2008 "../../../../vhdl_models/bpi_flash.vhd"
vcom  -work work -2008 "../../src/rx_counter.vhd"
vcom  -work work -2008 "../../src/pci_target_emulator.vhd"
vcom  -work work -2008 "../../src/rx_dma_emulator.vhd"
vcom  -work work -2008 "../../src/tx_dma_emulator.vhd"
vcom  -work work -2008 "../../src/pci_express.vhd"
vcom  -work work -2008 "../../../../vhdl_models/transceiver.vhd"
vcom  -work work -2008 "../../src/SigFPGA_tb.vhd"


